import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 *  
 */
export default {

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 用户收藏或者取消收藏菜单 
	 */
  addToFavoriteList: function(menuNo){
    var requestUrl = 'UserMenuResource/addToFavoriteList';
    var paramCount = 0;
    if(menuNo != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('menuNo=' + menuNo);
      paramCount ++;
    }
    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'get',
        contentType: 'application/x-www-form-urlencoded',
        dataType: 'json',
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

};
